Skip to content
Login Sign up

Google Trends API

Pull historical and current search popularity data from Google Trends. Set engine=google_trends, pass one or more terms in q, and optionally scope the request with geo, date, and cat.

GET https://serp.shifter.io/v1?engine=google_trends&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyesYour SERP API key
enginestringyesMust be google_trends
qstringyesThe search term(s). Multiple terms can be comma-separated
geostringnoLocation code. Defaults to worldwide. See the geo parameter options list
regionstringnocountry, city, subregion, or metro. Applies to compared_breakdown_by_region
datestringnoYYYY-MM-DD YYYY-MM-DD range, or one of now 1-H, now 4-H, now 1-d, now 7-d, today 1-m, today 3-m, today 5-y, all
catstringnoCategory ID. See the categories list
Terminal window
curl "https://serp.shifter.io/v1?engine=google_trends&api_key=YOUR_API_KEY&geo=US&q=american%20football&date=2021-01-01%202022-01-01"
{
"search_parameters": {
"engine": "google_trends",
"q": "american football",
"geo": "US",
"date": "2021-01-01 2022-01-01"
},
"interest_over_time": {
"timeline_data": [
{
"date": "Jan 3 - 9, 2021",
"timestamp": "1609632000",
"values": [
{ "query": "american football", "value": "100", "extracted_value": 100 }
]
}
],
"averages": [ { "query": "american football", "value": 68 } ]
},
"interest_by_region": [
{ "geo": "US-FL", "location": "Florida", "value": "100" }
],
"related_queries": {
"top": [ { "query": "nfl scores", "value": "100" } ],
"rising": [ { "query": "nfl playoffs", "value": "Breakout" } ]
}
}